/**
 *
 */
package de.intevation.gnv.transition.exception;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 * 
 */
public class TransitionException extends Exception {

    /**
     * The UID of the Class
     */
    private static final long serialVersionUID = -1635921702746050244L;

    /**
     * Constructor
     */
    public TransitionException() {
        super();
    }

    /**
     * Constructor
     * 
     * @param message
     */
    public TransitionException(String message) {
        super(message);
    }

    /**
     * Constructor
     * 
     * @param cause
     */
    public TransitionException(Throwable cause) {
        super(cause);
    }

    /**
     * Constructor
     * 
     * @param message
     * @param cause
     */
    public TransitionException(String message, Throwable cause) {
        super(message, cause);
    }

}
